Debian Bug report logs - #601161
synce-serial/kfreebsd-* unsatisfiable Depends: ppp (>= 2.4.2+20040202)

version graph

Package: synce-serial; Maintainer for synce-serial is Jonny Lamb <jonny@debian.org>; Source for synce-serial is src:synce-serial.

Reported by: Mehdi Dogguy <mehdi@debian.org>

Date: Sat, 23 Oct 2010 21:42:02 UTC

Severity: serious

Tags: patch

Found in version synce-serial/0.11-5

Fixed in version synce-serial/0.11-5.2

Done: Luca Capello <luca@pca.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonny@debian.org>:
Bug#601161; Package synce-serial. (Sat, 23 Oct 2010 21:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
New Bug report received and forwarded. Copy sent to Jonny Lamb <jonny@debian.org>. (Sat, 23 Oct 2010 21:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: synce-serial/kfreebsd-* unsatisfiable Depends: ppp (>= 2.4.2+20040202)
Date: Sat, 23 Oct 2010 23:39:12 +0200
Package: synce-serial
Version: 0.11-5
Severity: serious

Hi,

As per subject:

$ grep-excuses synce-serial | grep kfreebsd
    synce-serial/kfreebsd-amd64 unsatisfiable Depends: ppp (>= 2.4.2+20040202)
    synce-serial/kfreebsd-i386 unsatisfiable Depends: ppp (>= 2.4.2+20040202)

Regards,

-- 
Mehdi Dogguy

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.33-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonny@debian.org>:
Bug#601161; Package synce-serial. (Tue, 16 Nov 2010 03:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Jonny Lamb <jonny@debian.org>. (Tue, 16 Nov 2010 03:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 601161@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 601161@bugs.debian.org
Cc: anarcat@anarcat.ath.cx
Subject: Some links, and some thoughts
Date: Mon, 15 Nov 2010 22:00:55 -0500 (EST)
Here are some thoughts about synce-serial:

The package is pretty out of date with regard to upstream. Perhaps this is 
because the version in Debian works well enough. 
<http://www.synce.org/moin/>

ppp in GNU/kFree BSD should be a possible thing, but this package probably 
needs testing with it. It looks like the FreeBSD-brand ppp is what should 
be used. 
http://www.mail-archive.com/debian-bsd@lists.debian.org/msg05954.html

I would say the most reasonable next step is to make synce-serial not 
build on GNU/kFreeBSD since ppp isn't available there. The same should 
probably be done to the ppp package.

CC:ing Anarcat in case he has related thoughts.

-- Asheesh.




Information forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonny@debian.org>:
Bug#601161; Package synce-serial. (Tue, 16 Nov 2010 03:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to Jonny Lamb <jonny@debian.org>. (Tue, 16 Nov 2010 03:30:09 GMT) Full text and rfc822 format available.

Message #15 received at 601161@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@anarcat.ath.cx>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: 601161@bugs.debian.org
Subject: Re: Some links, and some thoughts
Date: Mon, 15 Nov 2010 22:18:52 -0500
[Message part 1 (text/plain, inline)]
Hi,

My experience with ppp on freebsd has been fairly limited, as I tried to
make PPPoE work, and failed to do that because of funky netgraph
problems, see:

http://www.mail-archive.com/debian-bsd@lists.debian.org/msg05960.html

and:

http://www.mail-archive.com/debian-bsd@lists.debian.org/msg05962.html

In short: netgraph seems broken for me on kFreeBSD, but it may only be
me.

Also keep in mind that the 'ppp' we're talking about is probably a
*very* different beast than the "linux-side" 'ppp' that SynCE expects.
So this could just *not work* even if we get "freebsd-ppp" to work at
all.

So I am not sure what opinion you are seeking for me, but I think it's
safe to say that 'ppp' is not quite available right now in kFreeBSD.

I have heard reports of people making it work with plain old modems (ie.
not PPPoE/netgraph) so it may be possible to use it, but I haven't
experienced that myself.

A.

PS: those interested in porting freebsd-ppp (I have mostly given up now
due to time constraints) are free to start from the work done in the ITP
here: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=574789

-- 
Man really attains the state of complete humanity when he produces,
without being forced by physical need to sell himself as a commodity.
            			- Ernesto "Che" Guevara
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonny@debian.org>:
Bug#601161; Package synce-serial. (Sun, 28 Nov 2010 16:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Jonny Lamb <jonny@debian.org>. (Sun, 28 Nov 2010 16:48:08 GMT) Full text and rfc822 format available.

Message #20 received at 601161@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 601161@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@debian.org>, Asheesh Laroia <asheesh@asheesh.org>, The Anarcat <anarcat@anarcat.ath.cx>
Subject: Bug#601161: NMU for synce-serial (Re: Bug#601161: Some links, and some thoughts)
Date: Sun, 28 Nov 2010 17:30:13 +0100
[Message part 1 (text/plain, inline)]
tags 601161 + patch
thanks

Hi there!

On Tue, 16 Nov 2010 04:00:55 +0100, Asheesh Laroia wrote:
> I would say the most reasonable next step is to make synce-serial not
> build on GNU/kFreeBSD since ppp isn't available there. The same should
> probably be done to the ppp package.
[...]
> CC:ing Anarcat in case he has related thoughts.

On Tue, 16 Nov 2010 04:18:52 +0100, The Anarcat wrote:
> So I am not sure what opinion you are seeking for me, but I think it's
> safe to say that 'ppp' is not quite available right now in kFreeBSD.

Given that synce-serial Depends: on ppp, we should only build it on
those architectures that have the binary ppp package.

Here the patch for the NMU uploaded to DELAYED/2 (upgrade from lenny
tested):

--8<---------------cut here---------------start------------->8---
diff -Nru synce-serial-0.11/debian/changelog synce-serial-0.11/debian/changelog
--- synce-serial-0.11/debian/changelog	2010-10-19 07:31:42.000000000 +0200
+++ synce-serial-0.11/debian/changelog	2010-11-28 17:22:22.000000000 +0100
@@ -1,3 +1,12 @@
+synce-serial (0.11-5.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/control:
+    + build it only on those architectures that have the dependent
+      ppp binary package (Closes: #601161).
+
+ -- Luca Capello <luca@pca.it>  Sun, 28 Nov 2010 17:22:22 +0100
+
 synce-serial (0.11-5.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nru synce-serial-0.11/debian/control synce-serial-0.11/debian/control
--- synce-serial-0.11/debian/control	2010-05-13 11:38:14.000000000 +0200
+++ synce-serial-0.11/debian/control	2010-11-28 16:25:01.000000000 +0100
@@ -9,7 +9,7 @@
 Vcs-Git: git://git.jonnylamb.com/git/packaging/synce-serial.git
 
 Package: synce-serial
-Architecture: any
+Architecture: alpha amd64 armel armhf avr32 hppa i386 ia64 m68k mips mipsel powerpc powerpcspe s390 sh4 sparc sparc64 
 Depends: ${shlibs:Depends}, ${misc:Depends}, ppp (>= 2.4.2+20040202)
 Description: SynCE connection manipulation scripts
  This scripts are used to manipulate (start/stop/configure) a connection
--8<---------------cut here---------------end--------------->8---

Thx, bye,
Gismo / Luca
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 28 Nov 2010 16:48:12 GMT) Full text and rfc822 format available.

Reply sent to Luca Capello <luca@pca.it>:
You have taken responsibility. (Tue, 30 Nov 2010 17:09:07 GMT) Full text and rfc822 format available.

Notification sent to Mehdi Dogguy <mehdi@debian.org>:
Bug acknowledged by developer. (Tue, 30 Nov 2010 17:09:07 GMT) Full text and rfc822 format available.

Message #27 received at 601161-close@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 601161-close@bugs.debian.org
Subject: Bug#601161: fixed in synce-serial 0.11-5.2
Date: Tue, 30 Nov 2010 17:05:05 +0000
Source: synce-serial
Source-Version: 0.11-5.2

We believe that the bug you reported is fixed in the latest version of
synce-serial, which is due to be installed in the Debian FTP archive:

synce-serial_0.11-5.2.debian.tar.gz
  to main/s/synce-serial/synce-serial_0.11-5.2.debian.tar.gz
synce-serial_0.11-5.2.dsc
  to main/s/synce-serial/synce-serial_0.11-5.2.dsc
synce-serial_0.11-5.2_amd64.deb
  to main/s/synce-serial/synce-serial_0.11-5.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601161@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Capello <luca@pca.it> (supplier of updated synce-serial package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 28 Nov 2010 17:22:22 +0100
Source: synce-serial
Binary: synce-serial
Architecture: source amd64
Version: 0.11-5.2
Distribution: unstable
Urgency: low
Maintainer: Jonny Lamb <jonny@debian.org>
Changed-By: Luca Capello <luca@pca.it>
Description: 
 synce-serial - SynCE connection manipulation scripts
Closes: 601161
Changes: 
 synce-serial (0.11-5.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/control:
     + build it only on those architectures that have the dependent
       ppp binary package (Closes: #601161).
Checksums-Sha1: 
 8d0bf17a4f24d05f1bfe256d36169e7f215c1e97 1946 synce-serial_0.11-5.2.dsc
 24bc31103948d8ca6019b26ffc2de7e1cc25a106 18183 synce-serial_0.11-5.2.debian.tar.gz
 63a56c23714aa8c14d5e07007cb43196f91ae901 25320 synce-serial_0.11-5.2_amd64.deb
Checksums-Sha256: 
 23a38efb38167f7fde21a43592fbb027b97c9ae852d64bda3dd6835596c0fc88 1946 synce-serial_0.11-5.2.dsc
 333e81bd244db15c68e260bd6ea91fbf80fefd2be782d2b77947948c91f2fd88 18183 synce-serial_0.11-5.2.debian.tar.gz
 81ad5616a78a2f1c2348130c44e3a98a12db673ddafb62d217950b1862c64b5c 25320 synce-serial_0.11-5.2_amd64.deb
Files: 
 1b942f53028353ef2bbe43d3c764575c 1946 utils optional synce-serial_0.11-5.2.dsc
 a44a854d1e015e354260340a56d4d8a7 18183 utils optional synce-serial_0.11-5.2.debian.tar.gz
 b972c358fef71bd00613d860905d7234 25320 utils optional synce-serial_0.11-5.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJM8oJgAAoJENkdV6A76fNtaNMQAKHtrS1QD3w99lDE/Bj3Ypsv
xRE8bgPUpHMehrVkGSN+rUHxsznIy//ERyo5DNooqnbxfIF/3pQAycJS/higVUgf
6CLyc6klkpelnADpUXPmGzMKuWu7luFyA5QwediAQgbblhDxetOra7GCgtEmAs5K
CF5a4Om+NNWENLhjW4YAWOZxfLSvbl42ixMOGUj+s+jIs5Vf5GRb+ft/JlDk8vnV
jOdpyAsKGXzMJoTejh31O/iUyAoEIpXt1dywBzAgNNkKLD+sCc04/j6LvEmZRlET
x9dR5V/KbXhAIJcgr9PRc5l4bPpJbA9gc9QHVGoRTd/zANxFP1Er5tk0SP8xltjk
QYNTUJIpNQV+lmCYhV4L+bBMIzMI4STXiBXiJD59QV5D1xUK4ONxJpbkJ13bpAte
52uDVrXQC8tYreBmxTMQNICUDhXSQnvyN4fEJPZwQSGgzEjeQgo2jKgkFPCB0Htt
DwU4F1xJD6XeUXGCHdDCKFcKqfbFZSTHgqF9gZTXRzZKRE8kJmYMv1BbX4CAKyal
efNsHQ9/a4x9hiO6Enep79QZjmxGhtUREojwGMQmfQbg3RySEUAq4jKCNJSLzchy
/KJiaU7IpLaNxiN5UGgGOni3rMAjzVVmn+oZAaBqfSE8W8mjR8vF3yhn8miTNHAb
TVhP62aHtZcKBkefZ/SS
=obRs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Jan 2011 07:33:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:20:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.